> For a complete page index, fetch https://docs.transak.com/llms.txt # Get Crypto Currencies GET https://api-stg.transak.com/ledger/v1/crypto-currencies Fetch the list of supported cryptocurrencies mapped to Ledger-compatible IDs. These identifiers align with Ledger conventions and are intended to be used with the capabilities, quote, and sell APIs. ![Crypto Currencies](https://assets.transak.com/doc/crypto-currencies.png) Reference: https://docs.transak.com/api/ledger-off-ramp/get-crypto-currencies ## Servers - `https://api-stg.transak.com/ledger/v1` (Staging, default) - `https://api.transak.com/ledger/v1` (Production) ## Request ### Headers - `x-api-key` (string, required) — Transak API key available from the Transak Dashboard. ## Response ### 200 Supported crypto currencies fetched successfully. - `list of string` ## Errors ### 400 Bad Request Error Missing or invalid request. - `error` (ErrorResponseError, required) ### 500 Internal Server Error Internal server error. - `error` (ErrorResponseError, required) ## Types ### ErrorResponseError - `messageKey` (string, required) - `message` (string, required) ## Examples **Response** ```json [ "ethereum_sepolia", "bitcoin_testnet", "arbitrum_sepolia", "base_sepolia", "ethereum_sepolia/erc20/usdc" ] ``` **SDK Code** ```python success import requests url = "https://api-stg.transak.com/ledger/v1/crypto-currencies" headers = {"x-api-key": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript success const url = 'https://api-stg.transak.com/ledger/v1/crypto-currencies'; const options = {method: 'GET', headers: {'x-api-key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-stg.transak.com/ledger/v1/crypto-currencies" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby success require 'uri' require 'net/http' url = URI("https://api-stg.transak.com/ledger/v1/crypto-currencies") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '' response = http.request(request) puts response.read_body ``` ```java success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-stg.transak.com/ledger/v1/crypto-currencies") .header("x-api-key", "") .asString(); ``` ```php success request('GET', 'https://api-stg.transak.com/ledger/v1/crypto-currencies', [ 'headers' => [ 'x-api-key' => '', ], ]); echo $response->getBody(); ``` ```csharp success using RestSharp; var client = new RestClient("https://api-stg.transak.com/ledger/v1/crypto-currencies"); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", ""); IRestResponse response = client.Execute(request); ``` ```swift success import Foundation let headers = ["x-api-key": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api-stg.transak.com/ledger/v1/crypto-currencies")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```